package org.dromara.mall.product.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.mall.product.domain.bo.MallCategoryBo;
import org.dromara.mall.product.domain.vo.MallCategoryVo;

import java.util.Collection;
import java.util.List;

/**
 * 商品分类Service接口
 *
 * @author pengles
 */
public interface MallCategoryService {

    /**
     * 查询商品分类
     */
    MallCategoryVo queryById(Long id);

    /**
     * 查询商品分类列表
     */
    TableDataInfo<MallCategoryVo> queryPageList(MallCategoryBo bo, PageQuery pageQuery);

    /**
     * 查询商品分类列表
     */
    List<MallCategoryVo> queryList(MallCategoryBo bo);

    /**
     * 查询商品分类树形列表
     */
    List<MallCategoryVo> queryTreeList();

    /**
     * 新增商品分类
     */
    Boolean insertByBo(MallCategoryBo bo);

    /**
     * 修改商品分类
     */
    Boolean updateByBo(MallCategoryBo bo);

    /**
     * 校验并批量删除商品分类信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

}
